Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Jun 2018, 09:01
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Python building/Compiling errors
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
lolo69


Joined: 01 Oct 2017
Posts: 77
Location: Your heart <3

PostPosted: Mon 04 Dec 2017, 21:25    Post subject:  Python building/Compiling errors
Subject description: python, pol,
 

I've downloaded the last version of PlayOnLinux and Lutris (both linux gaming software), but I can't run the .py files.

When i try to install lutris by python:
Code:
root# Python3 setup.py install

Traceback (most recent call last):
  File "setup.py", line 4, in <module>
    from setuptools import setup
ImportError: No module named 'setuptools2


And if I try the Lutris python file that does not need installation:
Code:
root# ./lutris

Traceback (most recent call last):
  File "./lutris", line 33, in <module>
    from lutris.gui.application import Application
  File "/root/Downloads/lutris-0.4.14/lutris/gui/application.py", line 25, in <module>
    import gi
ImportError: No module named 'gi'


Here is a copy of the install file:
Quote:
Installing Lutris
=================

Requirements
------------

Lutris should work on any Gnome system, the following depencies should be
installed:

* python > 3.4
* python-yaml
* PyGobject
* libsoup-gnome

Installation
------------

Lutris uses Python's distutils framework for installation. In order to
install Lutris, you will need root access. To install Lutris, perform
the following command as root::

$ python3 setup.py install

**Warning:** USING SETUP.PY TO INSTALL LUTRIS IS ENTIRELY UNSUPPORTED BY
THE DEVELOPERS. USE THAT METHOD AT YOUR OWN RISK. THE RECOMMENDED WAY OF
INSTALLING LUTRIS IS WITH PROVIDED DISTRIBUTION PACKAGES. IF YOU WANT TO
USE THE DEVELOPMENT VERSION, JUST RUN IT FROM THE SOURCE DIR ITSELF.

***********************************************************
* *
* **WARNING:** SERIOUSLY, DO ***NOT*** USE SETUP.PY!!!!! *
* *
***********************************************************

**Warning:** there is no way to cleanly uninstall programs installed with
setup.py other than manuall deleting the created files. Prefer installing
Lutris through distribution packages or run it directly from the source
directory::

cd /path/to/lutris/source
./bin/lutris

Run Lutris
-----------

If you installed Lutris using the setup.py script, you can launch the
program by typing "lutris" at the command line. If you want to run
Lutris without installing it, start "bin/lutris" from within the
Lutris directory.


Maybe there is a need of dependences?

PlayonLinux is a bash file:
Code:
root# ./playonlinux
Looking for python... 2.7.6 - Traceback (most recent call last):
  File "/root/Downloads/playonlinux/python/check_python.py", line 1, in <module>
    import os, wxversion
ImportError: No module named wxversion
failed tests
Looking for python2.7... 2.7.6 - Traceback (most recent call last):
  File "/root/Downloads/playonlinux/python/check_python.py", line 1, in <module>
    import os, wxversion
ImportError: No module named wxversion
failed tests
Looking for python2.6...
Looking for python2...
Please install python before trying to run this program


Says that when i ran it.

In my knowledge i have the python 3.4 and 2.7.6 so idk.

Tahrpup 6.0.5nopae.

Any solution would be appreciated.

thanks.
Back to top
View user's profile Send private message 
ocpaul20

Joined: 31 Jan 2008
Posts: 255
Location: PRC

PostPosted: Thu 01 Feb 2018, 05:52    Post subject:  

If I were you, I would try to run python from the command line to see that everyting is installed correctly.

Once you get the version of python showing and the >>> then you can go to the next step.

If I remember correctly in some of the earlier Puppy versions I used, the DEVX development sfs had all those kind of things (python, c compiler, etc) already there.

_________________
==================
Running DebianDog Jessie Frugal with /live and maybe with changes or savefile or.., who knows?
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 558
Location: Connecticut, United States

PostPosted: Thu 01 Feb 2018, 12:24    Post subject:  

yes you must load the devx SFS for the python and PERL to work correctly.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0609s ][ Queries: 13 (0.0080s) ][ GZIP on ]